<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_29225c3f2cb4" . "b5bb8cdfecad1" . "1c6f491" => base64_decode("O" . "g" . "=" . "="), "_815f8c910234a2dffe6ce5" . "347a6bee02" => base64_decode("aWRlbnRpZmllc" . "iA="));
class IdentifierNode extends Node
{
    protected $namespace;
    protected $ident;
    public function __construct($_ed87912b6d492c5fe6dff2f45a68f0ac, $_024d8abd4af839286d8b693334fe2888)
    {
        $this->namespace = $_ed87912b6d492c5fe6dff2f45a68f0ac;
        $this->ident = $_024d8abd4af839286d8b693334fe2888;
    }
    
    
    
    
    public function Children() : array
    {
        return [];
    }
    public function Name() : string
    {
        if ($this->namespace) {
            $name = $this->namespace . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_29225c3f2cb4b5bb8cdfecad11c" . "6f491"] . $this->ident;
        } else {
            $name = $this->ident;
        }
        return $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_815f8c910" . "234a2dffe6" . "ce5347a6be" . "e02"] . $name;
    }
    public function NS() : string
    {
        return $this->namespace;
    }
    public function Ident() : string
    {
        return $this->ident;
    }
}